From 34ca9eb38595a81735452f11f8e4bd7a1c34d858 Mon Sep 17 00:00:00 2001
From: Neal Gompa <ngompa@fedoraproject.org>
Date: Mar 19 2026 09:29:22 +0000
Subject: [PATCH 12/16] Add initial condition to flip between Rawhide and branched releases


As more Fedora branched releases are supported, we'll extend the
conditional with more %elif statements.

---

diff --git a/fedora-asahi-remix-release.spec b/fedora-asahi-remix-release.spec
index 03cc499..0e15a7c 100644
--- a/fedora-asahi-remix-release.spec
+++ b/fedora-asahi-remix-release.spec
@@ -1,9 +1,30 @@
+# Control release version and whether this is development release or not
+%if 0%{?fc44}
+%define release_name Forty Four
+%define is_rawhide 0
+%define is_development 1
+%elif 0%{?fc43}
+%define release_name Forty Three
+%define is_rawhide 0
+%define is_development 0
+%elif 0%{?fc42}
+%define release_name Forty Two [Adams]
+%define dist_codename adams
+%define is_rawhide 0
+%define is_development 0
+%elif 0%{?fc41}
+%define release_name Forty One
+%define is_rawhide 0
+%define is_development 0
+%elif 0%{?fc40}
+%define release_name Forty
+%define is_rawhide 0
+%define is_development 0
+%else
 %define release_name Rawhide
 %define is_rawhide 1
-
-# Define this to 1 for Branched releases prior to RC
-# or 0 for RC and stable releases
 %define is_development 1
+%endif
 
 %define eol_date 2027-11-24
 
@@ -1610,7 +1631,7 @@ RELEASE_TYPE=%{release_type}
 ID=fedora-asahi-remix
 ID_LIKE=fedora
 VERSION_ID=%{dist_version}
-VERSION_CODENAME=""
+VERSION_CODENAME="%{?dist_codename}"
 PRETTY_NAME="Fedora Linux Asahi Remix %{dist_version} (%{release_name}%{?prerelease})"
 ANSI_COLOR="0;38;2;60;110;180"
 LOGO=fedora-logo-icon

